VkSubpassDependency Struct Reference

`#include <vulkan.h>`

## Data Fields

uint32_t | srcSubpass
uint32_t | dstSubpass
VkPipelineStageFlags | srcStageMask
VkPipelineStageFlags | dstStageMask
VkAccessFlags | srcAccessMask
VkAccessFlags | dstAccessMask
VkDependencyFlags | dependencyFlags

## Detailed Description

Definition at line 2283 of file vulkan.h.

## Field Documentation

## dependencyFlags

VkDependencyFlags VkSubpassDependency::dependencyFlags

Definition at line 2290 of file vulkan.h.

## dstAccessMask

VkAccessFlags VkSubpassDependency::dstAccessMask

Definition at line 2289 of file vulkan.h.

## dstStageMask

VkPipelineStageFlags VkSubpassDependency::dstStageMask

Definition at line 2287 of file vulkan.h.

## dstSubpass

uint32_t VkSubpassDependency::dstSubpass

Definition at line 2285 of file vulkan.h.

## srcAccessMask

VkAccessFlags VkSubpassDependency::srcAccessMask

Definition at line 2288 of file vulkan.h.

## srcStageMask

VkPipelineStageFlags VkSubpassDependency::srcStageMask

Definition at line 2286 of file vulkan.h.

## srcSubpass

uint32_t VkSubpassDependency::srcSubpass

Definition at line 2284 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h